<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="content-header">
    <div class="main-attach-job__right">
            <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
            mbButtonText="{{'common.button.transferApproval' | translate}}"  (click)="submitJobForUnit()" *ngIf="objFunction?.create"></mb-button>
    </div>
</div>

<div nz-row>
    <div nz-col nzXs="24" nzLg="8">
        <nz-card class="main-attach-job-card">
            <div class="mb-25">
                <label class="main-attach-job-card__label"> {{'modelOrganization.attachJob.model' | translate}}</label>
            </div>
            <div class="main-attach-job-card__row-radio">
                <nz-radio-group [(ngModel)]="radioValue" (ngModelChange)="changeRadio($event)">
                    <label nz-radio [nzValue]="o.value" *ngFor="let o of options">{{ o.label }}</label>
                </nz-radio-group>
            </div>
        </nz-card>
    </div>
    <div nz-col nzXs="24" nzLg="8">
        <nz-card class="main-attach-job-card">
            <div class="mb-25">
                <label class="main-attach-job-card__label">{{'modelOrganization.attachJob.labelRadio' | translate}} </label>
            </div>
            <div class="text-left">
                <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId"
                mbPlaceholder="{{'modelOrganization.projectImplement.placeHoder.chooseOrType' | translate}}" [mbOptionHeightPx]="55"
                [(ngModel)]="selectedJob"></mb-select>
            </div>
        </nz-card>
    </div>
    <div nz-col nzXs="24" nzLg="8">
        <nz-card class="main-attach-template-card">
            <nz-tabset class="custom-tab" [nzSelectedIndex]="numberTab" nzCentered (nzSelectedIndexChange)="changeTab($event)">
                <nz-tab  nzTitle="{{'modelOrganization.label.org'| translate}}" [nzDisabled]="arrayId.length > 0">
                    <div class="text-left">
                        <input placeholder="Chọn đơn vị" (click)="showModal()" [value]="orgName" nz-input readonly />
                    </div>
                </nz-tab>
                <nz-tab  nzTitle="{{'modelOrganization.attachJob.template'| translate}}" [nzDisabled]="initData.length > 0">
                    <div class="text-left">
                        <mb-select [mbDataSelects]="listTemplate" mbKeyLabel="orgName" mbKeyValue="orgId" (ngModelChange)="selectForms($event)"
                        mbPlaceholder="{{'modelOrganization.projectImplement.placeHoder.chooseOrType' | translate}}" [mbOptionHeightPx]="50"
                        [(ngModel)]="orgId"></mb-select>
                    </div>
                </nz-tab>
            </nz-tabset>

        </nz-card>
    </div>
</div>

<div nz-row *ngIf="showTableForms && lisTemplateDetail">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8"></div>
    <div nz-col nzXs="24" nzLg="8" class="finalRow">
        <nz-table class="custom-table" #expandTable [nzData]="lisTemplateDetail" [nzFrontPagination]="false" [nzScroll]="lisTemplateDetail.length ? {x: 'SCROLL_CONFIG'} : {}" [nzSize]="TABLE_SIZE">
            <thead>
                <tr>
                    <th [nzWidth]="WIDTH_COLUMN.CHECKED" scope="col" nzLeft>{{'modelOrganization.assignJob.choose' | translate}}</th>
                    <th scope="col"> {{'modelOrganization.table.unitName' | translate}}</th>
                </tr>
            </thead>
            <tbody>
                <ng-container *ngFor="let data of expandTable.data">
                    <ng-container *ngFor="let item of mapOfExpandedData[data.orgId]">
                        <tr>
                            <td [nzChecked]="setOfCheckedId.has(item.orgId)"
                                (nzCheckedChange)="onItemChecked(item.orgId, $event)" nzLeft></td>
                            <td [nzIndentSize]="item.level! * 20" [nzShowExpand]="false" [(nzExpand)]="item.expand"
                                (nzExpandChange)="collapse(mapOfExpandedData[data.orgId], item, $event)">
                                {{ item.orgName }}
                            </td>
                        </tr>
                    </ng-container>
                </ng-container>
            </tbody>
        </nz-table>
    </div>
</div>
<!--<div nz-row *ngIf="!showTableForms">-->
<!--    <div nz-col nzSpan="24">-->
<!--        <nz-table #unitTable [nzData]="dataDisplay" [nzFrontPagination]="false" [nzScroll]="dataDisplay.length ? {x: 'SCROLL_CONFIG'} : {}" nzShowPagination="true">-->
<!--            <thead>-->
<!--                <tr>-->
<!--                    <th [nzWidth]="WIDTH_COLUMN.CHECKED" scope="col" nzLeft> {{'modelOrganization.table.stt' | translate}}</th>-->
<!--                    <th scope="col"> {{'modelOrganization.table.unitName' | translate}}</th>-->
<!--                </tr>-->
<!--            </thead>-->
<!--            <tbody>-->
<!--                <tr *ngFor="let org of unitTable.data; let i = index;">-->
<!--                    <td nzLeft>{{ i + pageableSession.size * pageableSession.currentPage + 1 }}</td>-->
<!--                    <td>{{org}}</td>-->
<!--                </tr>-->
<!--            </tbody>-->
<!--        </nz-table>-->
<!--        <div *ngIf="initData.length > 0" class="pagination__table-info">-->
<!--            <img class="pagination__table-info&#45;&#45;icon" alt="" src="assets/images/icon/idea.svg" />-->
<!--            <span class="pagination__table-info&#45;&#45;text">-->
<!--                {{'common.paging.rangePage' |-->
<!--                translate:{result:pageableSession.totalElements} }}-->
<!--                {{ pageableSession.size * pageableSession.currentPage + 1 }}-->
<!--                {{'common.paging.to' | translate}}-->
<!--                {{ recordTo}}-->
<!--            </span>-->
<!--          </div>-->
<!--          <nz-pagination *ngIf="initData.length > 10"-->
<!--            [nzPageIndex]="pageableSession.currentPage + 1"-->
<!--            [nzTotal]="pageableSession?.totalElements"-->
<!--            [nzPageSize]="pageableSession?.size"-->
<!--            (nzPageIndexChange)="changePage($event)"-->
<!--            class="pagination__icon"-->
<!--          >-->
<!--          </nz-pagination>-->
<!--    </div>-->
<!--</div>-->
<div *ngIf="!showTableForms">
  <mb-table-wrap [mbTitle]="''" [nonBg]="true" [extra]='false'>
    <mb-table [heightTable]="heightTable" [isUseTitle]='true'
              (changePageNum)='changePage($event)'
              [tableConfig]='tableConfig' [tableData]='dataDisplay'></mb-table>
  </mb-table-wrap>
</div>
